Class AuthenticatorsApi
java.lang.Object
de.xima.fc.api.rest.pub.client.security.api.AuthenticatorsApi
- All Implemented Interfaces:
EndpointCategory
@Generated("de.xima.openapi.codegen.java_jaxrs.XimaJavaJaxrsGenerator")
public final class AuthenticatorsApi
extends Object
implements EndpointCategory
The API for making structured REST API calls to the "AuthenticatorsApi" endpoint.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionfinal classHandler for thegetSingleAuthenticatorAPI method that lets you choose the content type via theAcceptheader. -
Constructor Summary
ConstructorsConstructorDescriptionAuthenticatorsApi(ApiClient apiClient) Creates a new API handler that uses the given client to send the HTTP requests. -
Method Summary
Modifier and TypeMethodDescriptioncategory()getSingleAuthenticator(String clientName) Single authenticator.
-
Constructor Details
-
AuthenticatorsApi
Creates a new API handler that uses the given client to send the HTTP requests.- Parameters:
apiClient- The client to use for HTTP requests.
-
-
Method Details
-
category
- Specified by:
categoryin interfaceEndpointCategory- Returns:
- The name of this category.
-
getSingleAuthenticator
public AuthenticatorsApi.GetSingleAuthenticator getSingleAuthenticator(String clientName) throws IllegalArgumentException Single authenticator. Retrieves a single authenticator with the UUID given as a path parameter.- Parameters:
clientName- (required)- Returns:
- A handler for making a call to the API with a given content type (accept header).
- Throws:
IllegalArgumentException- When a required parameter is missing or a parameter does not confirm to the expected format.
-